<?php
/**
 * This file is part of webman.
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the MIT-LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @author    walkor<walkor@workerman.net>
 * @copyright walkor<walkor@workerman.net>
 * @link      http://www.workerman.net/
 * @license   http://www.opensource.org/licenses/mit-license.php MIT License
 */

global $argv;
return [
    // File update detection and automatic reload
    'monitor' => [
        'handler'     => process\Monitor::class,
        'reloadable'  => true,
        'constructor' => [
            // 监控这些目录
            'monitor_dir' => [
                app_path(),
                config_path(),
                base_path() . '/process',
                base_path() . '/plugin/admin/app/controller',
                base_path() . '/plugin/admin/app/view',
                base_path() . '/plugin/app',
                base_path() . '/support',
                base_path() . '/resource',
                base_path() . '/.env'
            ],
            // 文件后缀
            'monitor_extensions' => [
                'php', 'html', 'htm', 'env'
            ]
        ]
    ],
    // MCP server process
    // 'mcp_server' => [
    //     'handler'    => \app\mcp\process::class,
    //     'count'      => 1,
    //     'reloadable' => true,
    // ],
];
